/**
 * <copyright>
 * </copyright>
 *
 * $Id: TaxonomyValidator.java,v 1.1 2008-04-01 09:35:46 vmahe Exp $
 */
package orgomg.cwm.analysis.businessnomenclature.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.analysis.businessnomenclature.Glossary;

/**
 * A sample validator interface for {@link orgomg.cwm.analysis.businessnomenclature.Taxonomy}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface TaxonomyValidator {
	boolean validate();

	boolean validateGlossary(EList<Glossary> value);
}
